Christian
Beer
djangofett@gmx.net
Steffen
Moeller
steffen_moeller@gmx.de
Frank
Thomas
frank@thomas-alfeld.de
Eric
Myers
myers@spy-hill.net
2007
2013
University of California
&date;
&boinc;
1

# &boinc;

The BOINC client program.

          &cmd_boinc;
          options

## DESCRIPTION

The BOINC "client", &cmd_boinc;, is the heart of BOINC. It controls which project applications are run on your computer, downloading "Tasks" and uploading the resulting files from completed tasks. &cmd_boinc; is usually run in the background, ideally as a daemon. It can then be controlled either by a graphical tool called the BOINC Manager, &man_boincmgr;, or a command-line tool called &man_boinccmd;, by means of Remote Procedure Calls (RPCs) over port &rpc_port;.

The BOINC client can be controlled by command-line options, configuration files, and environment variables. Standard usage is simply to start the client running in the background.

## OPTIONS

These command-line options for &cmd_boinc; can be used to control how BOINC is started. Once the client has started, you should use a separate program, (&man_boincmgr; or &man_boinccmd;) which communicates with it by means of Remote Procedure Calls (RPCs).

### General options

`--help`

  Show options.

`--version`

  Show version info.

`--run_cpu_benchmarks`

  Run the CPU benchmarks.

`--check_all_logins`

  For idle detection, check remote logins too.

`--daemon`

  Run as daemon. Will redirect stderr and stdout to syslog.

`--dir path`

  Use given dir as the client working directory.

`--no_gpus`

  Don't check for GPUs.

`--no_info_fetch`

  Don't fetch project list or client version info from boinc.berkeley.edu.

`--skip_cpu_benchmarks`

  Don't run CPU benchmarks.

`--start_delay X`

  Delay starting apps for X secs.

### Project options

#### PROJECT CONTROL

`--attach_project URL key`

  Attach to a project using URL and authenticator.

`--show_projects`

  Show attached projects.

`--detach_project URL`

  Detach from project specified by URL.

`--reset_project URL`

  Reset (clear) the projectspecified by URL.

`--update_prefs URL`

  Contact the project specified by URL to update preferences

### Communication options

`--allow_remote_gui_rpc`

  Allow RPC connections from remote hosts.

`--gui_rpc_port port`

  Port for RPCs.

`--no_gui_rpc`

  Omits creation of a socket as required for the remote control of the client. Consequently the client cannot be controlled by external tools like GUIs (&cmd_boincmgr; etc.) or the console command tool (&cmd_boinccmd;).

### Debugging options

`--abort_jobs_on_exit`

  When client exits, abort and report tasks.

`--allow_multiple_clients`

  Allow more than one client instance per host.

`--exit_after_app_start N`

  Exit N seconds after an app starts. Useful to look at the files in the slot directory.

`--exit_after_finish`

  Exit right after finishing a task. Useful to look at the files in the slot directory.

`--exit_before_start`

  Exit right before starting a task. Useful to look at the files in the slot directory.

`--exit_before_upload`

  Exit right before starting an upload.

`--exit_when_idle`

  Exit when there are no more tasks to work on.

`--fetch_minimal_work`

  Fetch only 1 task per device.

`--file_xfer_giveup_period N`

  Give up on file transfers after N sec.

`--master_fetch_interval N`

  Limiting the period of project master file dowload retries.

`--master_fetch_period N`

  Reload a project's master file after N RPC failures.

`--master_fetch_retry_cap N`

  Exponential backoff limit for downloading project master files.

`--no_priority_change`

  Run applications at same priority as client.

`--pers_giveup N`

  Giveup time for persistent file transfer errors.

`--pers_retry_delay_max N`

  Maximum time (sec) for file transfer exponential backoff.

`--pers_retry_delay_min N`

  Minimum time (sec) for file transfer exponential backoff.

`--redirectio`

  Redirect stdout and stderr to log files (`stdoutdae.txt` and `stderrdae.txt`).

`--retry_cap N`

  Limit the maximum exponential backoff time.

`--sched_retry_delay_max N`

  Maximum time (sec) for project RPC exponential backoff.

`--sched_retry_delay_min N`

  Minimum time (sec) for project RPC exponential backoff.

`--unsigned_apps_ok`

  Allow unsigned apps (for testing).

## Access control for GUI RPC

By default the client accepts GUI RPC connections only from programs on the same host, which means that any user on this host can control the client.

## SEE ALSO

&man_boinccmd;, &man_boincmgr;

## COPYRIGHT

Copyright © 2007-2013 University of California.

Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.